## qt6-wayland 6.6.1

=== debian/changelog ===
qt6-wayland (6.6.1-2) unstable; urgency=medium

  * feat: Support multi-key for input context plugin

 -- dengbo <dengbo@deepin.org>  Mon, 11 Mar 2024 16:40:48 +0800

qt6-wayland (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Remove binary packages libqt6waylandeglclienthwintegration6 and
    libqt6waylandeglcompositorhwintegration6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 19:01:56 +0100

qt6-wayland (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 00:35:12 +0100

qt6-wayland (6.6.0-1) experimental; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.6.0).
  * Update .install files.
  * Update symbols from buildlogs.

  [ Patrick Franz ]
  * Add virtual ABIs for the private headers.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Nov 2023 20:55:46 +0100

qt6-wayland (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 20:25:16 +0200

qt6-wayland (6.4.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add package for the private headers (Closes: #1013222).
  * Replace libfontconfig1-dev with libfontconfig-dev in the B-Ds as the
    former is superseded by the latter.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 19:12:41 +0200

qt6-wayland (6.4.2-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:38:10 -0300

qt6-wayland (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042285).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 19:05:34 -0300
