## qt6-wayland 6.7.2

=== debian/changelog ===
qt6-wayland (6.7.2-5) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Nov 2024 21:43:13 +0100

qt6-wayland (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:10:42 +0200

qt6-wayland (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:57:47 +0200

qt6-wayland (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 12:05:14 +0200

qt6-wayland (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Backport patches to fix crashes in Plasma 6.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 00:56:23 +0200
