=== debian/changelog ===
qt6-wayland (6.8.0-0deepin7) UNRELEASED; urgency=medium

  * compositor: Reset keyboard modifier state completely after screen unlock

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 18 Apr 2025 11:29:14 +0800

qt6-wayland (6.8.0-0deepin6) unstable; urgency=medium

  * Fix transparent window rendering when size was not changed

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 11 Mar 2025 19:30:22 +0800

qt6-wayland (6.8.0-0deepin5) unstable; urgency=medium

  * export the symbol of qtkey and qttouch protocol

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 11 Mar 2025 14:37:22 +0800

qt6-wayland (6.8.0-0deepin4) unstable; urgency=medium

  * Update symbols.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 15 Nov 2024 10:33:05 +0800

qt6-wayland (6.8.0-0deepin3) unstable; urgency=medium

  * Apply patch from upstream:
    client: Run waylandscanner with private-code
    https://codereview.qt-project.org/c/qt/qtwayland/+/598596

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 14 Nov 2024 21:23:31 +0800

qt6-wayland (6.8.0-0deepin2) unstable; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Update list of installed files.

  [ lichenggang ]
  * add build-dep qt6-declarative-dev-tools 

 -- lichenggang <lichenggang@deepin.org>  Sun, 03 Nov 2024 03:15:25 +0800

qt6-wayland (6.6.1-2+deepin1) unstable; urgency=medium

  * Use static_cast rather than dynamic_cast.

 -- Lu YaNing <luyaning@uniontech.com>  Thu, 16 May 2024 11:03:28 +0800
