=== debian/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig-dev,
@@ -19,19 +17,20 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev-tools (>= 6.8.0+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -40,7 +39,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.7.2),
+Provides: qt6-waylandclient-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -53,7 +52,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.7.2),
+Provides: qt6-waylandcompositor-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -80,7 +79,7 @@
 Package: qml6-module-qtwayland-compositor
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -91,7 +90,7 @@
 Package: qml6-module-qtwayland-client-texturesharing
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Shared Texture Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -103,10 +102,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6waylandeglclienthwintegration6,
-        libqt6waylandeglcompositorhwintegration6,
-Replaces: libqt6waylandeglclienthwintegration6,
-          libqt6waylandeglcompositorhwintegration6,
+Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
+Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
 Description: Qt 6 Wayland platform plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -125,8 +122,6 @@
          libqt6waylandcompositor6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
          libwayland-dev,
-         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
-         qml6-module-qtwayland-compositor (= ${binary:Version}),
          qt6-wayland-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Wayland - development files
