=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig-dev,
@@ -17,20 +20,19 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev-tools (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -39,7 +41,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.8.0),
+Provides: qt6-waylandclient-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -52,7 +54,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.8.0),
+Provides: qt6-waylandcompositor-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -61,6 +63,54 @@
  QtWayland is a Qt 6 module that wraps the functionality of Wayland.
  .
  This package contains the Qt 6 Wayland Compositor library.
+
+Package: libqt6waylandcompositoriviapplication6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor Ivi Application library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor Ivi Application library.
+
+Package: libqt6waylandcompositorpresentationtime6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor Presentation Time library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor Presentation Time library.
+
+Package: libqt6waylandcompositorwlshell6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor WL Shell library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor WL Shell library.
+
+Package: libqt6waylandcompositorxdgshell6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor XDG Shell library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor XDG Shell library.
 
 Package: libqt6wlshellintegration6
 Architecture: any
@@ -79,7 +129,7 @@
 Package: qml6-module-qtwayland-compositor
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -90,7 +140,7 @@
 Package: qml6-module-qtwayland-client-texturesharing
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Shared Texture Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -102,8 +152,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
-Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
+Breaks: libqt6waylandeglclienthwintegration6,
+        libqt6waylandeglcompositorhwintegration6,
+Replaces: libqt6waylandeglclienthwintegration6,
+          libqt6waylandeglcompositorhwintegration6,
 Description: Qt 6 Wayland platform plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -120,8 +172,14 @@
 Multi-Arch: same
 Depends: libqt6waylandclient6 (= ${binary:Version}),
          libqt6waylandcompositor6 (= ${binary:Version}),
+         libqt6waylandcompositoriviapplication6 (= ${binary:Version}),
+         libqt6waylandcompositorpresentationtime6 (= ${binary:Version}),
+         libqt6waylandcompositorwlshell6 (= ${binary:Version}),
+         libqt6waylandcompositorxdgshell6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
          libwayland-dev,
+         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
+         qml6-module-qtwayland-compositor (= ${binary:Version}),
          qt6-wayland-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Wayland - development files
